Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface SplineCurve

All Superinterfaces:
  CurveSegment, GenericCurve

All Known Subinterfaces:
  Bezier, BSplineCurve, CubicSpline, PolynomialSpline

    @UML(identifier="GM_SplineCurve",
         specification=ISO_19107)
    public interface SplineCurve

extends CurveSegment

Root for subtypes of curve segment using some version of spline, either polynomial or rational functions.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`PointArray` | `getControlPoints()` An array of points that are used in the interpolation in this spline curve.
`int` | `getDegree()` The degree of the polynomial used for interpolation in a polynomial spline.
`List<Knot>` | `getKnots()` The sequence of distinct knots used to define the spline basis functions.

Methods inherited from interface CurveSegment
`getBoundary, getCurve, getInterpolation, getNumDerivativesAtEnd, getNumDerivativesAtStart, getNumDerivativesInterior, getSamplePoints, reverse`

Methods inherited from interface GenericCurve
`asLineString, forConstructiveParam, forParam, getEndConstructiveParam, getEndParam, getEndPoint, getParamForPoint, getStartConstructiveParam, getStartParam, getStartPoint, getTangent, length, length`

Method Detail

### getKnots

    @UML(identifier="knot",
         obligation=MANDATORY,
         specification=ISO_19107)
    List<Knot> getKnots()

  The sequence of distinct knots used to define the spline basis functions. Recall that the knot data type holds information on knot multiplicity.

### getDegree

    @UML(identifier="degree",
         obligation=MANDATORY,
         specification=ISO_19107)
    int getDegree()

  The degree of the polynomial used for interpolation in a polynomial spline.

### getControlPoints

    @UML(identifier="controlPoints",
         obligation=MANDATORY,
         specification=ISO_19107)
    PointArray getControlPoints()

  An array of points that are used in the interpolation in this spline curve.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.